---
title: Built-in PackageGroups
layout: documentation
after: bundle_author_chain
---
# Built-in PackageGroups

Wix extensions offer predefined PackageGroups so you can use them without defining your own.

## .NET PackageGroups

The package groups in the first column are in the WixNetFxExtension.
The package groups in the second column are in the WixBalExtension, but also require referencing the WixNetFxExtension.

<table cellspacing="0" cellpadding="4" class="style1" border="1">
  <tr>
    <td valign="top">
      <p><b>PackageGroup ID</b></p>
    </td>

    <td valign="top">
      <p><b>Prereq PackageGroup ID</b></p>
    </td>

    <td valign="top">
      <p><b>Description</b></p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx40Web</p>
    </td>

    <td valign="top">
      <p>NetFx40WebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.0 Full web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx40Redist</p>
    </td>

    <td valign="top">
      <p>NetFx40RedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.0 Full standalone setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx40ClientWeb</p>
    </td>

    <td valign="top">
      <p>NetFx40ClientWebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.0 Client Profile web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx40ClientRedist</p>
    </td>

    <td valign="top">
      <p>NetFx40ClientRedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.0 Client Profile standalone setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx45Web</p>
    </td>

    <td valign="top">
      <p>NetFx45WebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5 web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx45Redist</p>
    </td>

    <td valign="top">
      <p>NetFx45RedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5 standalone setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx451Web</p>
    </td>

    <td valign="top">
      <p>NetFx451WebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5.1 web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx451Redist</p>
    </td>

    <td valign="top">
      <p>NetFx451RedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5.1 standalone setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx452Web</p>
    </td>

    <td valign="top">
      <p>NetFx452WebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5.2 web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx452Redist</p>
    </td>

    <td valign="top">
      <p>NetFx452RedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.5.2 standalone setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx46Web</p>
    </td>

    <td valign="top">
      <p>NetFx46WebAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.6 web setup.</p>
    </td>
  </tr>

  <tr>
    <td valign="top">
      <p>NetFx46Redist</p>
    </td>

    <td valign="top">
      <p>NetFx46RedistAsPrereq</p>
    </td>

    <td>
      <p>.Net Framework 4.6 standalone setup.</p>
    </td>
  </tr>
</table>